Package com.sun.jna

# Class ELFAnalyser.ELFSectionHeaders

java.lang.Object
com.sun.jna.ELFAnalyser.ELFSectionHeaders

Enclosing class:
  ELFAnalyser

static class ELFAnalyser.ELFSectionHeaders extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ELFSectionHeaders(boolean _64bit, boolean bigEndian, ByteBuffer headerData, RandomAccessFile raf)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ELFAnalyser.ELFSectionHeaderEntry>`
  `getEntries()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ELFSectionHeaders

    public ELFSectionHeaders(boolean _64bit, boolean bigEndian, ByteBuffer headerData, RandomAccessFile raf) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### getEntries

    public List<ELFAnalyser.ELFSectionHeaderEntry> getEntries()